<?php
/**
 * Plugin Name: WooCommerce Custom Cancelled order for Customers
 * Plugin URI: http://rynaldo.com
 * Description: Adds a customizable cancelled order notification email for customers.
 * Author: rynald0s
 * Author URI: http://rynaldo.com
 * Version: 0.1
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; 

class Custom_WC_Cancelled_Email {

    public function __construct() {
        add_filter( 'woocommerce_email_classes', array( $this, 'register_email' ), 90, 1 );
        define( 'CUSTOM_WC_EMAIL_PATH', plugin_dir_path( __FILE__ ) );
    }

    public function register_email( $emails ) {
        require_once 'includes/wc-class-cancelled-email-notification.php';

        $emails['WC_Customer_Cancel_Order'] = new WC_Customer_Cancel_Order();

        return $emails;
    }
}

new Custom_WC_Cancelled_Email();
